IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network13.96.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
13.96.76.0- Broadcast address
13.96.79.255- First usable
13.96.76.1- Last usable
13.96.79.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
0D604C00· Integer224414720to224415743 - Reverse DNS zones
76.96.13.in-addr.arpa77.96.13.in-addr.arpa78.96.13.in-addr.arpa79.96.13.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001101.01100000.01001100.00000000 | 13.96.76.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00001101.01100000.01001100.00000000 | 13.96.76.0 |
| Broadcast | 00001101.01100000.01001111.11111111 | 13.96.79.255 |
Split into smaller subnets
13.96.76.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 13.96.76.0/31 | 13.96.76.0 to 13.96.76.1 | — | 2 |
| 2 | 13.96.76.2/31 | 13.96.76.2 to 13.96.76.3 | — | 2 |
| 3 | 13.96.76.4/31 | 13.96.76.4 to 13.96.76.5 | — | 2 |
| 4 | 13.96.76.6/31 | 13.96.76.6 to 13.96.76.7 | — | 2 |
| 5 | 13.96.76.8/31 | 13.96.76.8 to 13.96.76.9 | — | 2 |
| 6 | 13.96.76.10/31 | 13.96.76.10 to 13.96.76.11 | — | 2 |
| 7 | 13.96.76.12/31 | 13.96.76.12 to 13.96.76.13 | — | 2 |
| 8 | 13.96.76.14/31 | 13.96.76.14 to 13.96.76.15 | — | 2 |
| 9 | 13.96.76.16/31 | 13.96.76.16 to 13.96.76.17 | — | 2 |
| 10 | 13.96.76.18/31 | 13.96.76.18 to 13.96.76.19 | — | 2 |
| 11 | 13.96.76.20/31 | 13.96.76.20 to 13.96.76.21 | — | 2 |
| 12 | 13.96.76.22/31 | 13.96.76.22 to 13.96.76.23 | — | 2 |
| 13 | 13.96.76.24/31 | 13.96.76.24 to 13.96.76.25 | — | 2 |
| 14 | 13.96.76.26/31 | 13.96.76.26 to 13.96.76.27 | — | 2 |
| 15 | 13.96.76.28/31 | 13.96.76.28 to 13.96.76.29 | — | 2 |
| 16 | 13.96.76.30/31 | 13.96.76.30 to 13.96.76.31 | — | 2 |
| 17 | 13.96.76.32/31 | 13.96.76.32 to 13.96.76.33 | — | 2 |
| 18 | 13.96.76.34/31 | 13.96.76.34 to 13.96.76.35 | — | 2 |
| 19 | 13.96.76.36/31 | 13.96.76.36 to 13.96.76.37 | — | 2 |
| 20 | 13.96.76.38/31 | 13.96.76.38 to 13.96.76.39 | — | 2 |
| 21 | 13.96.76.40/31 | 13.96.76.40 to 13.96.76.41 | — | 2 |
| 22 | 13.96.76.42/31 | 13.96.76.42 to 13.96.76.43 | — | 2 |
| 23 | 13.96.76.44/31 | 13.96.76.44 to 13.96.76.45 | — | 2 |
| 24 | 13.96.76.46/31 | 13.96.76.46 to 13.96.76.47 | — | 2 |
| 25 | 13.96.76.48/31 | 13.96.76.48 to 13.96.76.49 | — | 2 |
| 26 | 13.96.76.50/31 | 13.96.76.50 to 13.96.76.51 | — | 2 |
| 27 | 13.96.76.52/31 | 13.96.76.52 to 13.96.76.53 | — | 2 |
| 28 | 13.96.76.54/31 | 13.96.76.54 to 13.96.76.55 | — | 2 |
| 29 | 13.96.76.56/31 | 13.96.76.56 to 13.96.76.57 | — | 2 |
| 30 | 13.96.76.58/31 | 13.96.76.58 to 13.96.76.59 | — | 2 |
| 31 | 13.96.76.60/31 | 13.96.76.60 to 13.96.76.61 | — | 2 |
| 32 | 13.96.76.62/31 | 13.96.76.62 to 13.96.76.63 | — | 2 |
| 33 | 13.96.76.64/31 | 13.96.76.64 to 13.96.76.65 | — | 2 |
| 34 | 13.96.76.66/31 | 13.96.76.66 to 13.96.76.67 | — | 2 |
| 35 | 13.96.76.68/31 | 13.96.76.68 to 13.96.76.69 | — | 2 |
| 36 | 13.96.76.70/31 | 13.96.76.70 to 13.96.76.71 | — | 2 |
| 37 | 13.96.76.72/31 | 13.96.76.72 to 13.96.76.73 | — | 2 |
| 38 | 13.96.76.74/31 | 13.96.76.74 to 13.96.76.75 | — | 2 |
| 39 | 13.96.76.76/31 | 13.96.76.76 to 13.96.76.77 | — | 2 |
| 40 | 13.96.76.78/31 | 13.96.76.78 to 13.96.76.79 | — | 2 |
| 41 | 13.96.76.80/31 | 13.96.76.80 to 13.96.76.81 | — | 2 |
| 42 | 13.96.76.82/31 | 13.96.76.82 to 13.96.76.83 | — | 2 |
| 43 | 13.96.76.84/31 | 13.96.76.84 to 13.96.76.85 | — | 2 |
| 44 | 13.96.76.86/31 | 13.96.76.86 to 13.96.76.87 | — | 2 |
| 45 | 13.96.76.88/31 | 13.96.76.88 to 13.96.76.89 | — | 2 |
| 46 | 13.96.76.90/31 | 13.96.76.90 to 13.96.76.91 | — | 2 |
| 47 | 13.96.76.92/31 | 13.96.76.92 to 13.96.76.93 | — | 2 |
| 48 | 13.96.76.94/31 | 13.96.76.94 to 13.96.76.95 | — | 2 |
| 49 | 13.96.76.96/31 | 13.96.76.96 to 13.96.76.97 | — | 2 |
| 50 | 13.96.76.98/31 | 13.96.76.98 to 13.96.76.99 | — | 2 |
| 51 | 13.96.76.100/31 | 13.96.76.100 to 13.96.76.101 | — | 2 |
| 52 | 13.96.76.102/31 | 13.96.76.102 to 13.96.76.103 | — | 2 |
| 53 | 13.96.76.104/31 | 13.96.76.104 to 13.96.76.105 | — | 2 |
| 54 | 13.96.76.106/31 | 13.96.76.106 to 13.96.76.107 | — | 2 |
| 55 | 13.96.76.108/31 | 13.96.76.108 to 13.96.76.109 | — | 2 |
| 56 | 13.96.76.110/31 | 13.96.76.110 to 13.96.76.111 | — | 2 |
| 57 | 13.96.76.112/31 | 13.96.76.112 to 13.96.76.113 | — | 2 |
| 58 | 13.96.76.114/31 | 13.96.76.114 to 13.96.76.115 | — | 2 |
| 59 | 13.96.76.116/31 | 13.96.76.116 to 13.96.76.117 | — | 2 |
| 60 | 13.96.76.118/31 | 13.96.76.118 to 13.96.76.119 | — | 2 |
| 61 | 13.96.76.120/31 | 13.96.76.120 to 13.96.76.121 | — | 2 |
| 62 | 13.96.76.122/31 | 13.96.76.122 to 13.96.76.123 | — | 2 |
| 63 | 13.96.76.124/31 | 13.96.76.124 to 13.96.76.125 | — | 2 |
| 64 | 13.96.76.126/31 | 13.96.76.126 to 13.96.76.127 | — | 2 |
| 65 | 13.96.76.128/31 | 13.96.76.128 to 13.96.76.129 | — | 2 |
| 66 | 13.96.76.130/31 | 13.96.76.130 to 13.96.76.131 | — | 2 |
| 67 | 13.96.76.132/31 | 13.96.76.132 to 13.96.76.133 | — | 2 |
| 68 | 13.96.76.134/31 | 13.96.76.134 to 13.96.76.135 | — | 2 |
| 69 | 13.96.76.136/31 | 13.96.76.136 to 13.96.76.137 | — | 2 |
| 70 | 13.96.76.138/31 | 13.96.76.138 to 13.96.76.139 | — | 2 |
| 71 | 13.96.76.140/31 | 13.96.76.140 to 13.96.76.141 | — | 2 |
| 72 | 13.96.76.142/31 | 13.96.76.142 to 13.96.76.143 | — | 2 |
| 73 | 13.96.76.144/31 | 13.96.76.144 to 13.96.76.145 | — | 2 |
| 74 | 13.96.76.146/31 | 13.96.76.146 to 13.96.76.147 | — | 2 |
| 75 | 13.96.76.148/31 | 13.96.76.148 to 13.96.76.149 | — | 2 |
| 76 | 13.96.76.150/31 | 13.96.76.150 to 13.96.76.151 | — | 2 |
| 77 | 13.96.76.152/31 | 13.96.76.152 to 13.96.76.153 | — | 2 |
| 78 | 13.96.76.154/31 | 13.96.76.154 to 13.96.76.155 | — | 2 |
| 79 | 13.96.76.156/31 | 13.96.76.156 to 13.96.76.157 | — | 2 |
| 80 | 13.96.76.158/31 | 13.96.76.158 to 13.96.76.159 | — | 2 |
| 81 | 13.96.76.160/31 | 13.96.76.160 to 13.96.76.161 | — | 2 |
| 82 | 13.96.76.162/31 | 13.96.76.162 to 13.96.76.163 | — | 2 |
| 83 | 13.96.76.164/31 | 13.96.76.164 to 13.96.76.165 | — | 2 |
| 84 | 13.96.76.166/31 | 13.96.76.166 to 13.96.76.167 | — | 2 |
| 85 | 13.96.76.168/31 | 13.96.76.168 to 13.96.76.169 | — | 2 |
| 86 | 13.96.76.170/31 | 13.96.76.170 to 13.96.76.171 | — | 2 |
| 87 | 13.96.76.172/31 | 13.96.76.172 to 13.96.76.173 | — | 2 |
| 88 | 13.96.76.174/31 | 13.96.76.174 to 13.96.76.175 | — | 2 |
| 89 | 13.96.76.176/31 | 13.96.76.176 to 13.96.76.177 | — | 2 |
| 90 | 13.96.76.178/31 | 13.96.76.178 to 13.96.76.179 | — | 2 |
| 91 | 13.96.76.180/31 | 13.96.76.180 to 13.96.76.181 | — | 2 |
| 92 | 13.96.76.182/31 | 13.96.76.182 to 13.96.76.183 | — | 2 |
| 93 | 13.96.76.184/31 | 13.96.76.184 to 13.96.76.185 | — | 2 |
| 94 | 13.96.76.186/31 | 13.96.76.186 to 13.96.76.187 | — | 2 |
| 95 | 13.96.76.188/31 | 13.96.76.188 to 13.96.76.189 | — | 2 |
| 96 | 13.96.76.190/31 | 13.96.76.190 to 13.96.76.191 | — | 2 |
| 97 | 13.96.76.192/31 | 13.96.76.192 to 13.96.76.193 | — | 2 |
| 98 | 13.96.76.194/31 | 13.96.76.194 to 13.96.76.195 | — | 2 |
| 99 | 13.96.76.196/31 | 13.96.76.196 to 13.96.76.197 | — | 2 |
| 100 | 13.96.76.198/31 | 13.96.76.198 to 13.96.76.199 | — | 2 |
| 101 | 13.96.76.200/31 | 13.96.76.200 to 13.96.76.201 | — | 2 |
| 102 | 13.96.76.202/31 | 13.96.76.202 to 13.96.76.203 | — | 2 |
| 103 | 13.96.76.204/31 | 13.96.76.204 to 13.96.76.205 | — | 2 |
| 104 | 13.96.76.206/31 | 13.96.76.206 to 13.96.76.207 | — | 2 |
| 105 | 13.96.76.208/31 | 13.96.76.208 to 13.96.76.209 | — | 2 |
| 106 | 13.96.76.210/31 | 13.96.76.210 to 13.96.76.211 | — | 2 |
| 107 | 13.96.76.212/31 | 13.96.76.212 to 13.96.76.213 | — | 2 |
| 108 | 13.96.76.214/31 | 13.96.76.214 to 13.96.76.215 | — | 2 |
| 109 | 13.96.76.216/31 | 13.96.76.216 to 13.96.76.217 | — | 2 |
| 110 | 13.96.76.218/31 | 13.96.76.218 to 13.96.76.219 | — | 2 |
| 111 | 13.96.76.220/31 | 13.96.76.220 to 13.96.76.221 | — | 2 |
| 112 | 13.96.76.222/31 | 13.96.76.222 to 13.96.76.223 | — | 2 |
| 113 | 13.96.76.224/31 | 13.96.76.224 to 13.96.76.225 | — | 2 |
| 114 | 13.96.76.226/31 | 13.96.76.226 to 13.96.76.227 | — | 2 |
| 115 | 13.96.76.228/31 | 13.96.76.228 to 13.96.76.229 | — | 2 |
| 116 | 13.96.76.230/31 | 13.96.76.230 to 13.96.76.231 | — | 2 |
| 117 | 13.96.76.232/31 | 13.96.76.232 to 13.96.76.233 | — | 2 |
| 118 | 13.96.76.234/31 | 13.96.76.234 to 13.96.76.235 | — | 2 |
| 119 | 13.96.76.236/31 | 13.96.76.236 to 13.96.76.237 | — | 2 |
| 120 | 13.96.76.238/31 | 13.96.76.238 to 13.96.76.239 | — | 2 |
| 121 | 13.96.76.240/31 | 13.96.76.240 to 13.96.76.241 | — | 2 |
| 122 | 13.96.76.242/31 | 13.96.76.242 to 13.96.76.243 | — | 2 |
| 123 | 13.96.76.244/31 | 13.96.76.244 to 13.96.76.245 | — | 2 |
| 124 | 13.96.76.246/31 | 13.96.76.246 to 13.96.76.247 | — | 2 |
| 125 | 13.96.76.248/31 | 13.96.76.248 to 13.96.76.249 | — | 2 |
| 126 | 13.96.76.250/31 | 13.96.76.250 to 13.96.76.251 | — | 2 |
| 127 | 13.96.76.252/31 | 13.96.76.252 to 13.96.76.253 | — | 2 |
| 128 | 13.96.76.254/31 | 13.96.76.254 to 13.96.76.255 | — | 2 |
| 129 | 13.96.77.0/31 | 13.96.77.0 to 13.96.77.1 | — | 2 |
| 130 | 13.96.77.2/31 | 13.96.77.2 to 13.96.77.3 | — | 2 |
| 131 | 13.96.77.4/31 | 13.96.77.4 to 13.96.77.5 | — | 2 |
| 132 | 13.96.77.6/31 | 13.96.77.6 to 13.96.77.7 | — | 2 |
| 133 | 13.96.77.8/31 | 13.96.77.8 to 13.96.77.9 | — | 2 |
| 134 | 13.96.77.10/31 | 13.96.77.10 to 13.96.77.11 | — | 2 |
| 135 | 13.96.77.12/31 | 13.96.77.12 to 13.96.77.13 | — | 2 |
| 136 | 13.96.77.14/31 | 13.96.77.14 to 13.96.77.15 | — | 2 |
| 137 | 13.96.77.16/31 | 13.96.77.16 to 13.96.77.17 | — | 2 |
| 138 | 13.96.77.18/31 | 13.96.77.18 to 13.96.77.19 | — | 2 |
| 139 | 13.96.77.20/31 | 13.96.77.20 to 13.96.77.21 | — | 2 |
| 140 | 13.96.77.22/31 | 13.96.77.22 to 13.96.77.23 | — | 2 |
| 141 | 13.96.77.24/31 | 13.96.77.24 to 13.96.77.25 | — | 2 |
| 142 | 13.96.77.26/31 | 13.96.77.26 to 13.96.77.27 | — | 2 |
| 143 | 13.96.77.28/31 | 13.96.77.28 to 13.96.77.29 | — | 2 |
| 144 | 13.96.77.30/31 | 13.96.77.30 to 13.96.77.31 | — | 2 |
| 145 | 13.96.77.32/31 | 13.96.77.32 to 13.96.77.33 | — | 2 |
| 146 | 13.96.77.34/31 | 13.96.77.34 to 13.96.77.35 | — | 2 |
| 147 | 13.96.77.36/31 | 13.96.77.36 to 13.96.77.37 | — | 2 |
| 148 | 13.96.77.38/31 | 13.96.77.38 to 13.96.77.39 | — | 2 |
| 149 | 13.96.77.40/31 | 13.96.77.40 to 13.96.77.41 | — | 2 |
| 150 | 13.96.77.42/31 | 13.96.77.42 to 13.96.77.43 | — | 2 |
| 151 | 13.96.77.44/31 | 13.96.77.44 to 13.96.77.45 | — | 2 |
| 152 | 13.96.77.46/31 | 13.96.77.46 to 13.96.77.47 | — | 2 |
| 153 | 13.96.77.48/31 | 13.96.77.48 to 13.96.77.49 | — | 2 |
| 154 | 13.96.77.50/31 | 13.96.77.50 to 13.96.77.51 | — | 2 |
| 155 | 13.96.77.52/31 | 13.96.77.52 to 13.96.77.53 | — | 2 |
| 156 | 13.96.77.54/31 | 13.96.77.54 to 13.96.77.55 | — | 2 |
| 157 | 13.96.77.56/31 | 13.96.77.56 to 13.96.77.57 | — | 2 |
| 158 | 13.96.77.58/31 | 13.96.77.58 to 13.96.77.59 | — | 2 |
| 159 | 13.96.77.60/31 | 13.96.77.60 to 13.96.77.61 | — | 2 |
| 160 | 13.96.77.62/31 | 13.96.77.62 to 13.96.77.63 | — | 2 |
| 161 | 13.96.77.64/31 | 13.96.77.64 to 13.96.77.65 | — | 2 |
| 162 | 13.96.77.66/31 | 13.96.77.66 to 13.96.77.67 | — | 2 |
| 163 | 13.96.77.68/31 | 13.96.77.68 to 13.96.77.69 | — | 2 |
| 164 | 13.96.77.70/31 | 13.96.77.70 to 13.96.77.71 | — | 2 |
| 165 | 13.96.77.72/31 | 13.96.77.72 to 13.96.77.73 | — | 2 |
| 166 | 13.96.77.74/31 | 13.96.77.74 to 13.96.77.75 | — | 2 |
| 167 | 13.96.77.76/31 | 13.96.77.76 to 13.96.77.77 | — | 2 |
| 168 | 13.96.77.78/31 | 13.96.77.78 to 13.96.77.79 | — | 2 |
| 169 | 13.96.77.80/31 | 13.96.77.80 to 13.96.77.81 | — | 2 |
| 170 | 13.96.77.82/31 | 13.96.77.82 to 13.96.77.83 | — | 2 |
| 171 | 13.96.77.84/31 | 13.96.77.84 to 13.96.77.85 | — | 2 |
| 172 | 13.96.77.86/31 | 13.96.77.86 to 13.96.77.87 | — | 2 |
| 173 | 13.96.77.88/31 | 13.96.77.88 to 13.96.77.89 | — | 2 |
| 174 | 13.96.77.90/31 | 13.96.77.90 to 13.96.77.91 | — | 2 |
| 175 | 13.96.77.92/31 | 13.96.77.92 to 13.96.77.93 | — | 2 |
| 176 | 13.96.77.94/31 | 13.96.77.94 to 13.96.77.95 | — | 2 |
| 177 | 13.96.77.96/31 | 13.96.77.96 to 13.96.77.97 | — | 2 |
| 178 | 13.96.77.98/31 | 13.96.77.98 to 13.96.77.99 | — | 2 |
| 179 | 13.96.77.100/31 | 13.96.77.100 to 13.96.77.101 | — | 2 |
| 180 | 13.96.77.102/31 | 13.96.77.102 to 13.96.77.103 | — | 2 |
| 181 | 13.96.77.104/31 | 13.96.77.104 to 13.96.77.105 | — | 2 |
| 182 | 13.96.77.106/31 | 13.96.77.106 to 13.96.77.107 | — | 2 |
| 183 | 13.96.77.108/31 | 13.96.77.108 to 13.96.77.109 | — | 2 |
| 184 | 13.96.77.110/31 | 13.96.77.110 to 13.96.77.111 | — | 2 |
| 185 | 13.96.77.112/31 | 13.96.77.112 to 13.96.77.113 | — | 2 |
| 186 | 13.96.77.114/31 | 13.96.77.114 to 13.96.77.115 | — | 2 |
| 187 | 13.96.77.116/31 | 13.96.77.116 to 13.96.77.117 | — | 2 |
| 188 | 13.96.77.118/31 | 13.96.77.118 to 13.96.77.119 | — | 2 |
| 189 | 13.96.77.120/31 | 13.96.77.120 to 13.96.77.121 | — | 2 |
| 190 | 13.96.77.122/31 | 13.96.77.122 to 13.96.77.123 | — | 2 |
| 191 | 13.96.77.124/31 | 13.96.77.124 to 13.96.77.125 | — | 2 |
| 192 | 13.96.77.126/31 | 13.96.77.126 to 13.96.77.127 | — | 2 |
| 193 | 13.96.77.128/31 | 13.96.77.128 to 13.96.77.129 | — | 2 |
| 194 | 13.96.77.130/31 | 13.96.77.130 to 13.96.77.131 | — | 2 |
| 195 | 13.96.77.132/31 | 13.96.77.132 to 13.96.77.133 | — | 2 |
| 196 | 13.96.77.134/31 | 13.96.77.134 to 13.96.77.135 | — | 2 |
| 197 | 13.96.77.136/31 | 13.96.77.136 to 13.96.77.137 | — | 2 |
| 198 | 13.96.77.138/31 | 13.96.77.138 to 13.96.77.139 | — | 2 |
| 199 | 13.96.77.140/31 | 13.96.77.140 to 13.96.77.141 | — | 2 |
| 200 | 13.96.77.142/31 | 13.96.77.142 to 13.96.77.143 | — | 2 |
| 201 | 13.96.77.144/31 | 13.96.77.144 to 13.96.77.145 | — | 2 |
| 202 | 13.96.77.146/31 | 13.96.77.146 to 13.96.77.147 | — | 2 |
| 203 | 13.96.77.148/31 | 13.96.77.148 to 13.96.77.149 | — | 2 |
| 204 | 13.96.77.150/31 | 13.96.77.150 to 13.96.77.151 | — | 2 |
| 205 | 13.96.77.152/31 | 13.96.77.152 to 13.96.77.153 | — | 2 |
| 206 | 13.96.77.154/31 | 13.96.77.154 to 13.96.77.155 | — | 2 |
| 207 | 13.96.77.156/31 | 13.96.77.156 to 13.96.77.157 | — | 2 |
| 208 | 13.96.77.158/31 | 13.96.77.158 to 13.96.77.159 | — | 2 |
| 209 | 13.96.77.160/31 | 13.96.77.160 to 13.96.77.161 | — | 2 |
| 210 | 13.96.77.162/31 | 13.96.77.162 to 13.96.77.163 | — | 2 |
| 211 | 13.96.77.164/31 | 13.96.77.164 to 13.96.77.165 | — | 2 |
| 212 | 13.96.77.166/31 | 13.96.77.166 to 13.96.77.167 | — | 2 |
| 213 | 13.96.77.168/31 | 13.96.77.168 to 13.96.77.169 | — | 2 |
| 214 | 13.96.77.170/31 | 13.96.77.170 to 13.96.77.171 | — | 2 |
| 215 | 13.96.77.172/31 | 13.96.77.172 to 13.96.77.173 | — | 2 |
| 216 | 13.96.77.174/31 | 13.96.77.174 to 13.96.77.175 | — | 2 |
| 217 | 13.96.77.176/31 | 13.96.77.176 to 13.96.77.177 | — | 2 |
| 218 | 13.96.77.178/31 | 13.96.77.178 to 13.96.77.179 | — | 2 |
| 219 | 13.96.77.180/31 | 13.96.77.180 to 13.96.77.181 | — | 2 |
| 220 | 13.96.77.182/31 | 13.96.77.182 to 13.96.77.183 | — | 2 |
| 221 | 13.96.77.184/31 | 13.96.77.184 to 13.96.77.185 | — | 2 |
| 222 | 13.96.77.186/31 | 13.96.77.186 to 13.96.77.187 | — | 2 |
| 223 | 13.96.77.188/31 | 13.96.77.188 to 13.96.77.189 | — | 2 |
| 224 | 13.96.77.190/31 | 13.96.77.190 to 13.96.77.191 | — | 2 |
| 225 | 13.96.77.192/31 | 13.96.77.192 to 13.96.77.193 | — | 2 |
| 226 | 13.96.77.194/31 | 13.96.77.194 to 13.96.77.195 | — | 2 |
| 227 | 13.96.77.196/31 | 13.96.77.196 to 13.96.77.197 | — | 2 |
| 228 | 13.96.77.198/31 | 13.96.77.198 to 13.96.77.199 | — | 2 |
| 229 | 13.96.77.200/31 | 13.96.77.200 to 13.96.77.201 | — | 2 |
| 230 | 13.96.77.202/31 | 13.96.77.202 to 13.96.77.203 | — | 2 |
| 231 | 13.96.77.204/31 | 13.96.77.204 to 13.96.77.205 | — | 2 |
| 232 | 13.96.77.206/31 | 13.96.77.206 to 13.96.77.207 | — | 2 |
| 233 | 13.96.77.208/31 | 13.96.77.208 to 13.96.77.209 | — | 2 |
| 234 | 13.96.77.210/31 | 13.96.77.210 to 13.96.77.211 | — | 2 |
| 235 | 13.96.77.212/31 | 13.96.77.212 to 13.96.77.213 | — | 2 |
| 236 | 13.96.77.214/31 | 13.96.77.214 to 13.96.77.215 | — | 2 |
| 237 | 13.96.77.216/31 | 13.96.77.216 to 13.96.77.217 | — | 2 |
| 238 | 13.96.77.218/31 | 13.96.77.218 to 13.96.77.219 | — | 2 |
| 239 | 13.96.77.220/31 | 13.96.77.220 to 13.96.77.221 | — | 2 |
| 240 | 13.96.77.222/31 | 13.96.77.222 to 13.96.77.223 | — | 2 |
| 241 | 13.96.77.224/31 | 13.96.77.224 to 13.96.77.225 | — | 2 |
| 242 | 13.96.77.226/31 | 13.96.77.226 to 13.96.77.227 | — | 2 |
| 243 | 13.96.77.228/31 | 13.96.77.228 to 13.96.77.229 | — | 2 |
| 244 | 13.96.77.230/31 | 13.96.77.230 to 13.96.77.231 | — | 2 |
| 245 | 13.96.77.232/31 | 13.96.77.232 to 13.96.77.233 | — | 2 |
| 246 | 13.96.77.234/31 | 13.96.77.234 to 13.96.77.235 | — | 2 |
| 247 | 13.96.77.236/31 | 13.96.77.236 to 13.96.77.237 | — | 2 |
| 248 | 13.96.77.238/31 | 13.96.77.238 to 13.96.77.239 | — | 2 |
| 249 | 13.96.77.240/31 | 13.96.77.240 to 13.96.77.241 | — | 2 |
| 250 | 13.96.77.242/31 | 13.96.77.242 to 13.96.77.243 | — | 2 |
| 251 | 13.96.77.244/31 | 13.96.77.244 to 13.96.77.245 | — | 2 |
| 252 | 13.96.77.246/31 | 13.96.77.246 to 13.96.77.247 | — | 2 |
| 253 | 13.96.77.248/31 | 13.96.77.248 to 13.96.77.249 | — | 2 |
| 254 | 13.96.77.250/31 | 13.96.77.250 to 13.96.77.251 | — | 2 |
| 255 | 13.96.77.252/31 | 13.96.77.252 to 13.96.77.253 | — | 2 |
| 256 | 13.96.77.254/31 | 13.96.77.254 to 13.96.77.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |